package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.DocPromotion;
import com.ssm.manage.extendEntity.StoreDaily;
import com.ssm.manage.query.DocPromotionRequest;
import com.ssm.manage.query.StoreDailyRequest;
import com.ssm.manage.response.DocPromotionResponse;
import com.ssm.manage.response.PromotionDayVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
public interface DocPromotionMapper extends BaseMapper<DocPromotion> {
    int updateStaff(DocPromotion docPromotion);
    List<DocPromotion> selectFKJ(DocPromotionRequest docPromotion);

    StoreDaily selectDayRecord(StoreDailyRequest storeDailyRequest);

    List<PromotionDayVo> selectByDay(@Param("storeIds") List<Long> storeIds,@Param("startTime") Date startTime,@Param("endTime") Date endTime);

    List<DocPromotion> selectList(DocPromotionRequest docPromotionRequest);

    List<DocPromotion> selectFKJByDate(DocPromotionRequest docPromotionRequest);

    List<DocPromotion> selectListByStartTimeAndEndTime(@Param("storeId") Long id,@Param("startTime") Date startTime,@Param("endTime") Date endTime);
}